"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * register an array of handlers to an express app
 *
 * @param {Application} app express app
 * @param {Array<Handler>} handlers handlers to register
 */
function load_handlers(app, handlers) {
    for (var _i = 0, handlers_1 = handlers; _i < handlers_1.length; _i++) {
        var h = handlers_1[_i];
        app.use(h.path, h.run_http_handler);
    }
}
exports.default = load_handlers;
__export(require("./classes/Session"));
__export(require("./classes/Transaction"));
__export(require("./classes/Handler"));
